Bug 908108 - [ru][ta_IN][te][zh_CN][es_ES][fr][de_DE][gu][zh_TW][kn] pofilter newlines test failed on msgid="Redeeming the subscription may take a few..."
[ru][ta_IN][te][zh_CN][es_ES][fr][de_DE][gu][zh_TW][kn] pofilter newlines tes...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: candlepin-bugs
IDM QE LIST
: i18n, Translation
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-02-05 16:55 EST by John Sefler
Modified: 2014-06-17 20:24 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:54:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2013-02-05 16:55:25 EST
Description of problem:

# (pofilter) newlines: Different line endings
msgid ""
"Did not receive a completed unregistration message from RHN Classic for system %s.\n"
"Please investigate on the Customer Portal at https://access.redhat.com."
msgstr "Получено неполное сообщение об отмене регистрации %s. За информацией обратитесь к https://access.redhat.com"

# (pofilter) newlines: Different line endings
msgid ""
"Redeeming the subscription may take a few minutes.\n"
"Please provide an email address to receive notification\n"
"when the redemption is complete."
msgstr "Получение подписки может занять несколько минут. Укажите электронный адрес для получения уведомления об успешном завершении операции."


Please include a "\n" newline substring between the sentences in the translation. like this...
msgstr "Получено неполное сообщение об отмене регистрации %s.\nЗа информацией обратитесь к https://access.redhat.com"
msgstr "Получение подписки может занять несколько минут.\nУкажите электронный адрес для получения уведомления об успешном завершении операции."


Version-Release number of selected component (if applicable):
[root@jsefler-7 ~]# rpm -q subscription-manager
subscription-manager-1.8.1-1.git.9.f23e0b0.el7.x86_64
https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.8.X
Comment 1 John Sefler 2013-02-05 17:56:36 EST
Same failure against language ta_IN...

# (pofilter) newlines: Different line endings
msgid ""
"Redeeming the subscription may take a few minutes.\n"
"Please provide an email address to receive notification\n"
"when the redemption is complete."
msgstr "சந்தாவை மீட்டெடுப்பதற்கு சில நிமிடங்கள் எடுக்கலாம். மீட்டெடுத்தல் முடிந்ததும் அறிவிப்பை பெற ஒரு மின்னஞ்சல் முகவரியை கொடுக்கவும்."

Please include a "\n" newline substring between the sentences in the translation. like this...
msgstr "சந்தாவை மீட்டெடுப்பதற்கு சில நிமிடங்கள் எடுக்கலாம்.\n"
"மீட்டெடுத்தல் முடிந்ததும் அறிவிப்பை பெற ஒரு மின்னஞ்சல் முகவரியை கொடுக்கவும்."
Comment 2 Yulia 2013-02-05 18:54:35 EST
Russian corrected.
Comment 3 Shantha kumar 2013-02-06 03:53:16 EST
ta-IN corrected.
Comment 4 John Sefler 2013-02-06 11:47:18 EST
Same failure against language te...


# (pofilter) newlines: Different line endings
msgid ""
"Redeeming the subscription may take a few minutes.\n"
"Please provide an email address to receive notification\n"
"when the redemption is complete."
msgstr "సబ్‌స్క్రిప్షన్‌ను వెచ్చించుటకు కొంత సమయం పట్టవచ్చును. వెచ్చింపు పూర్తవగానే నోటీసును స్వీకరించుటకు వొక ఈమెయిల్ చిరునామాను అందించుము."


Please include a "\n" newline substring between the sentences in the translation. like this...
msgstr "సబ్‌స్క్రిప్షన్‌ను వెచ్చించుటకు కొంత సమయం పట్టవచ్చును.\nవెచ్చింపు పూర్తవగానే నోటీసును స్వీకరించుటకు వొక ఈమెయిల్ చిరునామాను అందించుము."
Comment 5 John Sefler 2013-02-06 11:59:46 EST
Same failure against language zh_CN...

# (pofilter) newlines: Different line endings
msgid ""
"Redeeming the subscription may take a few minutes.\n"
"Please provide an email address to receive notification\n"
"when the redemption is complete."
msgstr "兑换订阅可能需要几分钟的时间。请提供电子邮件以在兑换完成时接收通知。"

Please include a "\n" newline substring between the sentences in the translation. like this...
msgstr "兑换订阅可能需要几分钟的时间。\n请提供电子邮件以在兑换完成时接收通知。"
Comment 6 John Sefler 2013-02-06 12:41:40 EST
Same failure against language es_ES...

# (pofilter) newlines: Different line endings
msgid "Invalid argument specified: %s\n"
msgstr ""
"El argumento especificado es inválido: %s\n"
"\n"

# (pofilter) newlines: Different line endings
msgid ""
"Redeeming the subscription may take a few minutes.\n"
"Please provide an email address to receive notification\n"
"when the redemption is complete."
msgstr "Redimir una suscripción puede tardar unos minutos. Por favor provea una dirección de correo-e para recibir notificación cuando la redención se complete. "


Please include a "\n" newline substring in the translation. like this...
msgstr "El argumento especificado es inválido: %s\n"

msgstr "Redimir una suscripción puede tardar unos minutos.\n"
"Por favor provea una dirección de correo-e para recibir\n
notificación cuando la redención se complete."
Comment 7 John Sefler 2013-02-06 13:54:13 EST
Same failure against language fr...

# (pofilter) newlines: Different line endings
msgid ""
"Redeeming the subscription may take a few minutes.\n"
"Please provide an email address to receive notification\n"
"when the redemption is complete."
msgstr "l'échange d'un abonnement peut prendre quelques minutes. Veuillez fournir une adresse email pour recevoir une notification lorsque l'échange est terminé."

Please include a "\n" newline substring in the translation. like this...
msgstr "l'échange d'un abonnement peut prendre quelques minutes.\n"
"Veuillez fournir une adresse email pour recevoir une notification\n"
"lorsque l'échange est terminé."
Comment 8 John Sefler 2013-02-06 14:25:02 EST
Same failure against language de_DE...

# (pofilter) newlines: Different line endings
msgid ""
"Redeeming the subscription may take a few minutes.\n"
"Please provide an email address to receive notification\n"
"when the redemption is complete."
msgstr "Das Wiedererlangen der Subskription kann ggf. einige Minuten dauern. Bitte geben Sie eine E-Mail-Adresse an, an die eine Benachrichtigung gesendet werden kann, sobald die Subskription erfolgreich wiedererlangt wurde."


Please include a "\n" newline substring in the translation. like this...
msgstr ""
"Das Einlösen der Subskription kann ggf. einige Minuten dauern. \n"
"Bitte geben Sie eine E-Mail-Adresse an, an die eine Benachrichtigung \n"
"gesendet werden kann, sobald die Subskription erfolgreich eingelöst wurde."
Comment 9 John Sefler 2013-02-06 14:33:04 EST
Same failure against language gu...

# (pofilter) newlines: Different line endings
msgid ""
"Redeeming the subscription may take a few minutes.\n"
"Please provide an email address to receive notification\n"
"when the redemption is complete."
msgstr "ઉમેદવારીમાંથી મુક્ત કરવા માટે થોડો સમય લાગી શકે છે. મહેરબાની કરીને સૂચના પ્રાપ્ત કરવા માટે ઇમેઇલ સરનામાંને પૂરુ પાડો."

Please include a "\n" newline substring between the sentences in the translation. like this...
msgstr "ઉમેદવારીમાંથી મુક્ત કરવા માટે થોડો સમય લાગી શકે છે.\n"
"મહેરબાની કરીને સૂચના પ્રાપ્ત કરવા માટે ઇમેઇલ સરનામાંને પૂરુ પાડો."
Comment 10 John Sefler 2013-02-06 14:53:16 EST
Same failure against language zh_TW...

# (pofilter) newlines: Different line endings
msgid ""
"Redeeming the subscription may take a few minutes.\n"
"Please provide an email address to receive notification\n"
"when the redemption is complete."
msgstr "兌換訂閱服務可能會花上幾分鐘。請提供電子郵件信箱,好在兌換服務完成時通知您。"

Please include a "\n" newline substring between the sentences in the translation. like this...
msgstr "兌換訂閱服務可能會花上幾分鐘。\n請提供電子郵件信箱,好在兌換服務完成時通知您。"
Comment 11 John Sefler 2013-02-06 16:24:06 EST
Same failure against language kn...

# (pofilter) newlines: Different line endings
msgid ""
"Redeeming the subscription may take a few minutes.\n"
"Please provide an email address to receive notification\n"
"when the redemption is complete."
msgstr "ಚಂದಾದಾರಿಕೆಯನ್ನು ಹಿಂದಕ್ಕೆ ಪಡೆಯುವಿಕೆ ಕೆಲಹೊತ್ತು ಹಿಡಿಯಬಹುದು. ಹಿಂದಕ್ಕೆ ಪಡೆಯುವಿಕೆಯು ಪೂರ್ಣಗೊಂಡ ನಂತರ ಸೂಚಿಸಲು ಒಂದು ಇಮೈಲ್ ವಿಳಾಸವನ್ನು ಒದಗಿಸಿ."

# (pofilter) newlines: Different line endings
msgid "Invalid argument specified: %s\n"
msgstr ""
"ಅಸಿಂಧುವಾದ ಆರ್ಗ್ಯುಮೆಂಟ್‌ ಅನ್ನು ಸೂಚಿಸಲಾಗಿದೆ: %s\n"
"\n"


Please include a "\n" newline substring between the sentences in the translation. like this...
msgstr "ಚಂದಾದಾರಿಕೆಯನ್ನು ಹಿಂದಕ್ಕೆ ಪಡೆಯುವಿಕೆ ಕೆಲಹೊತ್ತು ಹಿಡಿಯಬಹುದು.\n"
"ಹಿಂದಕ್ಕೆ ಪಡೆಯುವಿಕೆಯು ಪೂರ್ಣಗೊಂಡ ನಂತರ ಸೂಚಿಸಲು ಒಂದು ಇಮೈಲ್ ವಿಳಾಸವನ್ನು ಒದಗಿಸಿ."
msgstr "ಅಸಿಂಧುವಾದ ಆರ್ಗ್ಯುಮೆಂಟ್‌ ಅನ್ನು ಸೂಚಿಸಲಾಗಿದೆ: %s\n"
Comment 12 Hedda Peters 2013-02-06 18:18:18 EST
Hi John,

All the errors that you reported earlier this year have been fixed for the 1.1.X version, while the 1.8.X version was already uploaded to Zanata.

Is it possible to re-use the current and fixed translations from 1.1.X for use in 1.8.X, rather than fixing the same errors manually for 1.8.X as well? 

Cheers,
Hedda
Comment 13 Shankar Prasad 2013-02-07 06:34:12 EST
(In reply to comment #11)
Fixed the issues related to kn.

Shankar
Comment 14 Hedda Peters 2013-03-20 02:32:26 EDT
(In reply to comment #8)
> Same failure against language de_DE...
> 
> # (pofilter) newlines: Different line endings
> msgid ""
> "Redeeming the subscription may take a few minutes.\n"
> "Please provide an email address to receive notification\n"
> "when the redemption is complete."
> msgstr "Das Wiedererlangen der Subskription kann ggf. einige Minuten dauern.
> Bitte geben Sie eine E-Mail-Adresse an, an die eine Benachrichtigung
> gesendet werden kann, sobald die Subskription erfolgreich wiedererlangt
> wurde."
> 
> 
> Please include a "\n" newline substring in the translation. like this...
> msgstr ""
> "Das Einlösen der Subskription kann ggf. einige Minuten dauern. \n"
> "Bitte geben Sie eine E-Mail-Adresse an, an die eine Benachrichtigung \n"
> "gesendet werden kann, sobald die Subskription erfolgreich eingelöst wurde."


Corrected for de-DE in 1.8.X
Comment 15 Adrian Likins 2013-03-25 17:35:15 EDT
commit 008c5cb336b141f300d647d6c71750b2cd15e066
Author: Adrian Likins <alikins@redhat.com>
Date:   Mon Mar 25 15:03:16 2013 -0400

    921126: latest string updates from zanata
    
    921126,911779,911776,911772,911764,911762,911759,
    911757,908886,908879,908869,908866,908521,908511,
    908488,908434,908108,908059,908037,906967,906552,
    842784
Comment 16 John Sefler 2013-03-27 12:53:15 EDT
Still not fixed in all languages.
Moving back to ASSIGNED/FailedQA
Comment 17 Sam Friedmann 2013-03-27 18:39:54 EDT
(In reply to comment #7)
> Same failure against language fr...
> 
> # (pofilter) newlines: Different line endings
> msgid ""
> "Redeeming the subscription may take a few minutes.\n"
> "Please provide an email address to receive notification\n"
> "when the redemption is complete."
> msgstr "l'échange d'un abonnement peut prendre quelques minutes. Veuillez
> fournir une adresse email pour recevoir une notification lorsque l'échange
> est terminé."
> 
> Please include a "\n" newline substring in the translation. like this...
> msgstr "l'échange d'un abonnement peut prendre quelques minutes.\n"
> "Veuillez fournir une adresse email pour recevoir une notification\n"
> "lorsque l'échange est terminé."



fr-FR has been corrected in version 1.8.X
Cheers,

Sam
Comment 18 Krishna Babu K 2013-03-28 06:04:36 EDT
(In reply to comment #4)
> Same failure against language te...
> 
> 
> # (pofilter) newlines: Different line endings
> msgid ""
> "Redeeming the subscription may take a few minutes.\n"
> "Please provide an email address to receive notification\n"
> "when the redemption is complete."
> msgstr "సబ్‌స్క్రిప్షన్‌ను వెచ్చించుటకు కొంత సమయం పట్టవచ్చును. వెచ్చింపు
> పూర్తవగానే నోటీసును స్వీకరించుటకు వొక ఈమెయిల్ చిరునామాను అందించుము."
> 
> 
> Please include a "\n" newline substring between the sentences in the
> translation. like this...
> msgstr "సబ్‌స్క్రిప్షన్‌ను వెచ్చించుటకు కొంత సమయం పట్టవచ్చును.\nవెచ్చింపు
> పూర్తవగానే నోటీసును స్వీకరించుటకు వొక ఈమెయిల్ చిరునామాను అందించుము."

Fixed in 1.8.x for Telugu [te]

Thanks,
Krishna.
Comment 19 Wei Liu 2013-04-09 19:12:31 EDT
Fixed for zh-CN.
Comment 20 John Sefler 2013-10-28 16:24:31 EDT
The fix for bug 928401 was truely the fix for this bug too.

Verifying Version...
[root@jsefler-7 ~]# rpm -q subscription-manager
subscription-manager-1.10.4-1.el7.x86_64

[root@jsefler-7 ~]# for f in $(rpm -ql subscription-manager | grep rhsm.mo); do msgunfmt --no-wrap $f | grep -A1 "Redeeming the subscription may take a few"; done;
msgid "Redeeming the subscription may take a few minutes."
msgstr "স্বাক্ষৰণ পুনৰ ক্ৰয় কৰোতে কিছু সময় লাগিব পাৰে।"
msgid "Redeeming the subscription may take a few minutes."
msgstr "সাবস্ক্রিপশন ভাঙাতে কিছু সময় লাগতে পারে।"
msgid "Redeeming the subscription may take a few minutes."
msgstr "Das Wiedererlangen der Subskription kann ggf. einige Minuten dauern."
msgid "Redeeming the subscription may take a few minutes."
msgstr "La recuperación de la suscripción puede tardar unos minutos."
msgid "Redeeming the subscription may take a few minutes."
msgstr "L'échange de l'abonnement peut prendre plusieurs minutes."
msgid "Redeeming the subscription may take a few minutes."
msgstr "ઉમેદવારીઓને છોડવામાં થોડો સમય લાગી શકે છે."
msgid "Redeeming the subscription may take a few minutes."
msgstr "सदस्यता की उगाही कुछ मिनट ले सकती है."
msgid "Redeeming the subscription may take a few minutes."
msgstr "L'utilizzo della sottoscrizione potrebbe richiedere qualche minuto."
msgid "Redeeming the subscription may take a few minutes."
msgstr "サブスクリプションの再利用には数分かかります。"
msgid "Redeeming the subscription may take a few minutes."
msgstr "ಚಂದಾದಾರಿಕೆಯನ್ನು ಹಿಂದಕ್ಕೆ ಪಡೆಯುವಿಕೆ ಕೆಲಹೊತ್ತು ಹಿಡಿಯಬಹುದು."
msgid "Redeeming the subscription may take a few minutes."
msgstr "서브스크립션 교환에는 시간이 몇 분 소요될 수 있습니다"
msgid "Redeeming the subscription may take a few minutes."
msgstr "സബ്സ്ക്രിപ്ഷന്‍ ലഭ്യമാക്കുന്നതു് അല്‍പം സമയമെടുക്കുന്നു."
msgid "Redeeming the subscription may take a few minutes."
msgstr "सबस्क्रिप्शनला रिडीम करण्यासाठी काही मिनीटे लागतील."
msgid "Redeeming the subscription may take a few minutes."
msgstr "ସଦସ୍ୟତାକୁ ହ୍ରାସ କରିବା ପାଇଁ କିଛି ସମୟ ନେଇପାରେ।"
msgid "Redeeming the subscription may take a few minutes."
msgstr "ਮੈਂਬਰੀ ਹਟਾਉਣ ਦੀ ਕਾਰਵਾਈ ਲਈ ਕੁਝ ਮਿੰਟ ਲੱਗ ਸਕਦੇ ਹਨ।"
msgid "Redeeming the subscription may take a few minutes."
msgstr "Resgatar a subscrição pode levar alguns minutos."
msgid "Redeeming the subscription may take a few minutes."
msgstr "Получение подписки может занять несколько минут."
msgid "Redeeming the subscription may take a few minutes."
msgstr "சந்தாவை மதிப்புப்பரிமாற்றம் செய்ய நில நிமிடங்களாகலாம்."
msgid "Redeeming the subscription may take a few minutes."
msgstr "సబ్‌స్క్రిప్షన్ రిడీమ్ చేయుటకు కొన్ని నిమిషాలు పట్టవచ్చు."
msgid "Redeeming the subscription may take a few minutes."
msgstr "兑换订阅可能需要几分钟。"
msgid "Redeeming the subscription may take a few minutes."
msgstr "兌換訂閱服務的過程可能會花上數分鐘。"
[root@jsefler-7 ~]# 

^^ Notice that the msgid no longer ends in a newline character and neither do the msgstr translations.  Therefore the pofilter newlines test is passing for all langs.
Comment 22 Ludek Smid 2014-06-13 07:54:20 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.